### Hierarchy

- RpcToken
  - AccessData
    - ClientData

## Index

### Constructors

- constructor

### Properties

- accessToken
- expireDate
- origin
- permissions

### Methods

- getAccessTokenSig
- getClearAccessToken

## Constructors

### constructor

- new AccessData(accessToken?: string, origin?: string, expireDate?: string, permissions?: Permissions): AccessData

- Overrides RpcToken.constructor

  - Defined in utils/keypair/rpc/RpcAccessData.ts:7

  #### Parameters

  - ##### Default value accessToken: string = ""

  - ##### Default value origin: string = ""

  - ##### Default value expireDate: string = ""

  - ##### Default value permissions: Permissions = new Permissions()

  #### Returns AccessData

## Properties

### accessToken

accessToken: string

Inherited from RpcToken.accessToken

- Defined in utils/keypair/rpc/RpcToken.ts:3

### expireDate

expireDate: string

- Defined in utils/keypair/rpc/RpcAccessData.ts:6

### origin

origin: string

- Defined in utils/keypair/rpc/RpcAccessData.ts:5

### permissions

permissions: Permissions

- Defined in utils/keypair/rpc/RpcAccessData.ts:7

## Methods

### getAccessTokenSig

- getAccessTokenSig(): string

- Inherited from RpcToken.getAccessTokenSig

  - Defined in utils/keypair/rpc/RpcToken.ts:9

  #### Returns string

### getClearAccessToken

- getClearAccessToken(): string

- Inherited from RpcToken.getClearAccessToken

  - Defined in utils/keypair/rpc/RpcToken.ts:13

  #### Returns string

Generated using TypeDoc